version: '3.8'

services:
  strapper_django:
    image: strapper_web:latest
    volumes:
      - type: bind
        source: /home/archie/strapper_data/
        target: /tmp/
      # - type: bind
      #   source: /home/archie/strap/helm/strapplication
      #   target: /usr/src/app/helm
    expose:
      - 8001
    env_file:
      - ../strapper/strapper/.env.prod
    depends_on:
      - strapper_db
      # - strapper_redis
    links:
      - strapper_selenium
    container_name: strapper-django
  
  strapper_db:
    image: postgres:15.1-alpine
    ports:
      - 5432:5432
    volumes:
      - strapper_postgres_data:/var/lib/postgresql/data
    env_file:
      - ../strapper/strapper/.env.db
    container_name: strapper-db

  strapper_selenium:
    image: selenium/standalone-chrome:latest
    ports:
      - 4444:4444
    container_name: strapper-selenium
  
  # strapper_redis:
  #   image: redis:7.0.7-alpine
  #   ports:
  #     - 6379:6379
  #   container_name: strapper-redis

  strapper_nginx:
    image: strapper_nginx:latest
    ports:
      - 8001:8080
    depends_on:
      - strapper_django
    container_name: strapper-nginx


volumes:
  strapper_postgres_data:
